# nanolight

‘nanolight’ is code highlighter for any programming language.
Works in both Node.js and the browser.
Lightweight. No dependencies.

## Install

### NPM

```bash
npm install nanolight
```

### CDN

```html
<script type="text/javascript" src="https://cdn.rawgit.com/jackens/nanolight/master/nanolight.js"></script>
```

## Usage

```js
const nanolight = require('nanolight')

nanolight('var theAnswerToLifeTheUniverseAndEverything = 42')
nanolight.cls('some-css-class') // DOM elements with class ‘some-css-class’
nanolight.cls()                 // DOM elements with class ‘nanolight’
```

More usage examples can be found at <https://jackens.github.io/>.
